NZBGet - Nzbget doesnt find extension script | PlexGuide.com

NZBGet Nzbget doesnt find extension script

  • Stop using Chrome! Download the Brave Browser via >>> [Brave.com]
    It's a forked version of Chrome with native ad-blockers and Google's spyware stripped out! Download for Mac, Windows, Android, and Linux!
Welcome to the PlexGuide.com
Serving the Community since 2016!
Register Now

moooep

Citizen
Original poster
Dec 29, 2019
11
1
suddenly NZBGet cant find any Extension Script.

LOG: [ERROR] GetPw: Could not start /config/scripts/GetPw.py: No such file or directory

Permissions: -rwxrwxr-x 1 abc users 1107 May 18 00:53 GetPw.py

What I tried already:

- redeployed NZBGet
- chmod 755 in container and the original directory
- several restarts
- "reinstalled" the Script

any ideas?
 

mmurder

Citizen
Donor
Nov 2, 2018
5
3
The latest linuxserver/nzbget removed python2 support. No idea why. But the error is with finding the non-existent python binary, not your script.
 

moooep

Citizen
Original poster
Dec 29, 2019
11
1
i guess it was a mistake. suddenly its working again. i guess they fixed it! thanks for ur help!
Post automatically merged:

okay thats crazy. if the nzb-file comes from radarr its working. if i upload a nzb-file manually, its not woring. means that radarr extract passwords by itself?

anyway. that means i still need a solution for python2. my idea is to set the path to python2 manually. lets see if that works
 
Last edited:
  • Like
Reactions: 1 user

Dexter.

Active
Donor
Jan 25, 2020
43
9
I have the same problem. Would be nice if you (or anyone else) have a idea how to get this working again.
Post automatically merged:

I tried another script called pfftn which does the same as the GetPw script.
Please see here: https://forum.nzbget.net/viewtopic.php?f=8&t=915

I tested it with some files and it seems to work without any problems. Maybe you want to give it a try.
 
Last edited:

doob

Administrator
Project Manager
Jun 7, 2020
853
450
not really ..
nzbget runs now on python3
and all scripts with python2 can not run anymore
 

moooep

Citizen
Original poster
Dec 29, 2019
11
1
not really ..
nzbget runs now on python3
and all scripts with python2 can not run anymore
yes, i see.

but the script @Dexter. is talking about runs on python3. but in my case nzbget doesnt load the script. and i cant anythin in the logfile :eek:
 

doob

Administrator
Project Manager
Jun 7, 2020
853
450
yes, i see.

but the script @Dexter. is talking about runs on python3. but in my case nzbget doesnt load the script. and i cant anythin in the logfile :eek:
run an older image .. for maybe 2 week ...
and the scripts runs again
 

H1f0x

Administrator
Project Manager
Donor
Jan 1, 2019
109
59
Well, I was long time not here but - sounds phishy i know - the linuxserver build Dockerfile contains python2, just the systsm doesnt anyhow. When you do the following inside the container:

apk add --no-cache python2

it will install it without an issue and the scripts are working again.. until watchtower kicks in šŸ˜©
 

doob

Administrator
Project Manager
Jun 7, 2020
853
450
sudo docker exec nzbget apk update
sudo docker exec nzbget apk add --no-cache python2
 
  • Like
Reactions: 1 user

H1f0x

Administrator
Project Manager
Donor
Jan 1, 2019
109
59
side question: Im not on the most recent build. Mainly because everything worked smooth and needed no attention for almost a year.. is there a way to exclude a docker image from watchtower manually? This would help until the image or the scripts got fixed / ported to python3.
 

doob

Administrator
Project Manager
Jun 7, 2020
853
450
side question: Im not on the most recent build. Mainly because everything worked smooth and needed no attention for almost a year.. is there a way to exclude a docker image from watchtower manually? This would help until the image or the scripts got fixed / ported to python3.
simple remove watchtower and use oruborus
 

Recommend NewsGroups

      Up To a 58% Discount!

Trending